Bug 218741 - Gaim 2.0.0-0.26.beta5 cannot connect to jabber accounts that uses old-ssl option
Gaim 2.0.0-0.26.beta5 cannot connect to jabber accounts that uses old-ssl option
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-07 01:50 EST by Devrim GUNDUZ
Modified: 2008-03-03 09:04 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-03 09:04:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
debug log as requested (2.49 KB, text/plain)
2007-04-05 19:05 EDT, Andrew Dunstan
no flags Details
debug log from homebuilt gaim 2.0.0.0beta6 (8.29 KB, text/plain)
2007-04-05 19:08 EDT, Andrew Dunstan
no flags Details

  None (edit)
Description Devrim GUNDUZ 2006-12-07 01:50:39 EST
Description of problem:

The latest gaim update
(https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=217335) fixed the crash
problem. However, it cannot connect to the jabber servers that forces us to use
old-ssl port (5223)

Version-Release number of selected component (if applicable):
2.0.0beta5.26

How reproducible:
Always

Steps to Reproduce:
1. Start gaim
2. Create a jabber account and use "force old ssl" in jabber options
3. Login to that account. It fails.

  
Actual results:
Got "Invalid response from server" message.

Expected results:
It can login in beta4, so I expected it to login successfully again.


Additional info:
Comment 1 Warren Togami 2006-12-07 12:41:33 EST
Please do this:
1) Buddy List
2) Help
3) Debug Window
4) Then attempt a login to the jabber server.
5) Copy the relevant part from the debug window into a text file.
6) Attach that text file here.

Can you find any public Jabber server that exhibits this behavior?  Or could you
create an account on a private server to allow gaim developers to test this?
Comment 2 Andrew Dunstan 2007-04-05 19:05:50 EDT
Created attachment 151817 [details]
debug log as requested


This is the debug log as reque4sted from the latest gaim rpms:

gaim.x86_64 2:2.0.0-0.31.beta6.fc6 
gaim.i386 2:2.0.0-0.31.beta6.fc6
Comment 3 Andrew Dunstan 2007-04-05 19:08:32 EDT
Created attachment 151818 [details]
debug log from homebuilt gaim 2.0.0.0beta6


I built gaim 2.0.0.0beta6 from source on the same machine as the previous
comment, and it connected just fine, as the attached log shows.
Comment 4 Andrew Dunstan 2007-04-06 20:35:41 EDT
I have got to the bottom of this. I took the FC6 SRPM and disabled use of
cyrus-sasl in the spec and rebuilt. Problem disappears.
Comment 5 Stu Tomlinson 2007-04-06 22:23:08 EDT
You could probably have avoided recompiling without SASL support by installing
some appropriate cyrus SASL mechanisms instead (cyrus-sasl-md5 &
cyrus-sasl-plain would be a good start)
Comment 6 Andrew Dunstan 2007-04-07 08:52:32 EDT
Those are installed. Yum shows:

cyrus-sasl-md5.x86_64                    2.1.22-4               installed       
cyrus-sasl-plain.x86_64                  2.1.22-4               installed       

Comment 7 Mike Dillon 2007-05-02 12:42:50 EDT
I had the same results as Andrew. Connecting to our corporate Jabber server with
Gaim 2.0.0-0.31.beta6 resulted in a message that said "Invalid response from
server". When I recompiled the RPM without cyrus-sasl support, everything
worked. Like Andrew, I also have cyrus-sasl-md5 and cyrus-sasl-plain installed.

In my debug logs, I was seeing two "sasl" lines with "DIGEST-MD5 client step 2",
even though the first time seemed to succeed. Unlike Andrew's logs, which show
"Must see 'algorithm' once. Didn't see at all" after the second "DIGEST-MD5
client step 2" line, my logs said something like "No response from server".
Unfortunately, I don't have a copy of the logs and I'd have to reinstall the
broken version to get them.
Comment 8 Devrim GUNDUZ 2008-03-03 02:21:00 EST
This bug is no longer valid as of recent Pidgin releases. It can be closed.

Note You need to log in before you can comment on or make changes to this bug.